<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Temuni extends Model
{
    protected $table = "ins_temuni";
    protected $primaryKey = 'cve_temuni';
    protected $fillable = ['cve_tem', 'cve_uni'];

    //Función - Es la relacion entre temariounidad y temario
    public function temario()
    {
        return $this->belongsTo('App\Temario', 'cve_tem', 'cve_tem');
    }
    //Función - Es la relacion entre temariounidad y unidad
    public function unidad()
    {
        return $this->belongsTo('App\Unidad', 'cve_uni', 'cve_uni');
    }
}
